﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace VrpSolverClean
{
    /// <summary>
    /// Trida Databaze slouzi k pridavani zakazniku a udrzovani seznamu zakazniku.
    /// </summary>
    class Databaze
    {
        public static BindingList<Zakaznik> Zakaznici { get; set; }

        static int pocetZakazniku;

        public static void Inicializace()
        {
            Zakaznici = new BindingList<Zakaznik>();
            pocetZakazniku = 0;
        }

        /// <summary>
        /// Verejna metoda pro pridani vychoziho zaznamu do databaze, misto aktualnich informaci jsou uvedeny pouze vychozi hodnoty, ktere by mely byt zmeneny
        /// </summary>
        public static void NovyZakaznik()
        {
            Zakaznici.Add(new Zakaznik("Ulice", "Město", "ČP", pocetZakazniku++));
        }

        /// <summary>
        /// Verejna metoda slouzici pro pridani koknretniho zakaznika do databaze. Nutne zadat ulici, cislo popisne a mesto. Podle celkoveho poctu zakazniku je automaticky prirazeno ID zakadnika.
        /// </summary>
        /// <param name="ulice"></param>
        /// <param name="cp"></param>
        /// <param name="mesto"></param>
        public static void NovyZakaznik(string ulice, string cp, string mesto)
        {
            Zakaznici.Add(new Zakaznik(ulice, mesto, cp, pocetZakazniku++));
        }
    }
}
