﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace VrpSolverClean
{
    /// <summary>
    /// Trida definujici zakaznika jako objekt. Objekt obsahuje property ulice, mesto, cp a psc, dale take verejny kontruktor pro pristup k objektu z ostatnich trid
    /// </summary>
    public class Zakaznik
    {
        public int ID { get; set; }
        public string Ulice { get; set; }
        public string Mesto { get; set; }
        public string CP { get; set; }
        public double GeoLat { get; set; }
        public double GeoLon { get; set; }

        /// <summary>
        /// Verejny kontruktor, ktery umozuje tvorbu a pristup k objektu Zakaznik v ostatnich castech programu
        /// </summary>
        /// <param name="ulice"></param>
        /// <param name="mesto"></param>
        /// <param name="cp"></param>
        public Zakaznik(string ulice, string mesto, string cp, int id)
        {
            this.ID = id;
            this.Ulice = ulice;
            this.Mesto = mesto;
            this.CP = cp;
            var souradnice = Google.ZjistiSouradnice(ulice, cp, mesto);
            this.GeoLat = souradnice["Lat"];
            this.GeoLon = souradnice["Lon"];
        }
    }
}
